# $Revision: 1.29 $, $Date: 2010/06/02 15:53:31 $
%define		_modname	radius
%define		_status		stable
%define		_sysconfdir	/etc/php
Summary:	Radius client library
Summary(pl.UTF-8):	Biblioteka klienta Radiusa
Name:		php-pecl-%{_modname}
Version:	1.2.5
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	25d867dab8def71ab1b3e2410491ff4d
URL:		http://pecl.php.net/package/radius/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires(triggerpostun):	sed >= 4.0
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is based on the libradius of FreeBSD. This PECL adds full
support for Radius Authentication (RFC 2865) and Radius Accounting
(RFC 2866). This package is available for Unix and for Windows.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet jest bazowany na libradius z FreeBSD. Ten PECL dodaje pełne
wsparcie dla autentyfikacji Radius (RFC 2865) oraz dla accountingu
Radius (RFC 2866). Ten pakiet jest osiągalny dla systemów Unix oraz
Windows.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure

%{__make} \
	CPPFLAGS="-DHAVE_CONFIG_H -I/usr/X11R6/include/X11/" \
	CFLAGS_CLEAN="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} -C %{_modname}-%{version} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%triggerpostun -- %{name} < 1.2.4-4
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*%{_modname}\.so/d' %{php_sysconfdir}/php.ini

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples/*.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-radius.spec,v $
Revision 1.29  2010/06/02 15:53:31  glen
- release 2

Revision 1.28  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.27  2009/03/16 10:11:21  duddits
- up to 1.2.5

Revision 1.26  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.24  2007/01/16 22:07:11  glen
- use new php extension macros

Revision 1.23  2006/12/13 23:04:12  glen
- rel 9 (php 5.2.0)

Revision 1.22  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.21  2006/04/27 19:35:25  glen
- use sed directly in trigger, rel 8

Revision 1.20  2005/12/22 12:12:19  glen
- rel 7 (rebuild with new php)

Revision 1.19  2005/10/30 13:29:43  glen
- rel 6

Revision 1.18  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.17  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.16  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.15  2005/08/14 14:52:53  domelu
- release 3, rebuild

Revision 1.14  2004/10/31 23:46:32  adamg
- release 2

Revision 1.13  2004/05/30 16:01:13  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.12  2003/12/02 20:43:15  adamg
- updated to 1.2.4
- make use of make install

Revision 1.11  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.10  2003/10/07 19:28:21  adamg
- URL unification

Revision 1.9  2003/07/18 06:22:53  adamg
- updated to 1.2.2

Revision 1.8  2003/06/12 12:31:48  qboosh
- cosmetics

Revision 1.7  2003/06/11 20:28:22  adamg
- fixed status info

Revision 1.6  2003/05/30 16:09:01  adamg
- updated to 1.2.1

Revision 1.5  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/01 23:19:57  blues
- 1.2 - stable release, STBR to Ra updates ?

Revision 1.2  2003/01/04 15:40:26  blues
- small fix

Revision 1.1  2003/01/02 02:03:08  blues
- initial release
